# Interface ISearchEndpointOptions

## Index

### Properties

- accessToken
- anonymous
- password
- queryStringArguments
- renewAccessToken
- requestModifier
- restUri
- searchAlertsUri
- username
- xmlHttpRequest

## Properties

### Optional accessToken

accessToken: string

Overwrites IEndpointCallerOptions.accessToken

- Defined in rest/SearchEndpointInterface.ts :43

### Optional anonymous

anonymous: boolean

- Defined in rest/SearchEndpointInterface.ts :39

### Optional password

password: string

Overwrites IEndpointCallerOptions.password

- Defined in rest/SearchEndpointInterface.ts :58

### Optional queryStringArguments

queryStringArguments: IStringMap<any>

- Defined in rest/SearchEndpointInterface.ts :33

### Optional renewAccessToken

renewAccessToken: function

- Defined in rest/SearchEndpointInterface.ts :48

#### Type declaration

- - (): Promise<string>

  - #### Returns Promise<string>

### Optional requestModifier

requestModifier: function

Inherited from IEndpointCallerOptions.requestModifier

- Defined in rest/EndpointCaller.ts :165

#### Type declaration

- - (params: IRequestInfo<any>): IRequestInfo<any>

  - #### Parameters

    - ##### params: IRequestInfo<any>

    #### Returns IRequestInfo<any>

### Optional restUri

restUri: string

- Defined in rest/SearchEndpointInterface.ts :27

### Optional searchAlertsUri

searchAlertsUri: string

- Defined in rest/SearchEndpointInterface.ts :62

### Optional username

username: string

Overwrites IEndpointCallerOptions.username

- Defined in rest/SearchEndpointInterface.ts :53

### Optional xmlHttpRequest

xmlHttpRequest: object

Inherited from IEndpointCallerOptions.xmlHttpRequest

- Defined in rest/EndpointCaller.ts :171

#### Type declaration

### Hierarchy

- IEndpointCallerOptions